Project Chrono: chrono::vehicle::fmtv::FMTV_AutomaticTransmissionSimpleMap Class Reference

Public Member Functions | List of all members
chrono::vehicle::fmtv::FMTV_AutomaticTransmissionSimpleMap Class Reference
Models » Vehicle models » FMTV trucks

## Description

FMTV automatic transmission model template based on a simple gear-shifting model.

`#include <FMTV_AutomaticTransmissionSimpleMap.h>`

Inheritance diagram for chrono::vehicle::fmtv::FMTV_AutomaticTransmissionSimpleMap:
[legend]
Collaboration diagram for chrono::vehicle::fmtv::FMTV_AutomaticTransmissionSimpleMap:
[legend]

## Public Member Functions
| FMTV_AutomaticTransmissionSimpleMap (const std::string &name)
virtual void | SetGearRatios (std::vector< double > &fwd, double &rev) override
| Set the transmission gear ratios (one or more forward gear ratios and a single reverse gear ratio).
virtual void | SetShiftPoints (std::vector< std::pair< double, double > > &shift_bands) override
| Set the ideal shift points for automatic gear shifting.
Public Member Functions inherited from chrono::vehicle::ChAutomaticTransmissionSimpleMap
virtual std::string | GetTemplateName () const override
| Get the name of the vehicle subsystem template.
virtual bool | HasTorqueConverter () const override
| Return true if a torque converter model is included.
virtual double | GetTorqueConverterSlippage () const override
| Return the value of slippage in the torque converter.
virtual double | GetTorqueConverterInputTorque () const override
| Return the input torque to the torque converter.
virtual double | GetTorqueConverterOutputTorque () const override
| Return the output torque from the torque converter.
virtual double | GetTorqueConverterOutputSpeed () const override
| Return the torque converter output shaft speed.
virtual double | GetOutputDriveshaftTorque () const override
| Return the transmission output torque on the driveshaft.
virtual double | GetOutputMotorshaftSpeed () const override
| Return the transmission output speed of the motorshaft.

## Additional Inherited Members
Protected Member Functions inherited from chrono::vehicle::ChAutomaticTransmissionSimpleMap
| ChAutomaticTransmissionSimpleMap (const std::string &name)

## Member Function Documentation

## ◆ SetGearRatios()

void chrono::vehicle::fmtv::FMTV_AutomaticTransmissionSimpleMap::SetGearRatios | ( | std::vector< double > & | fwd,
|  | double & | rev )
| overridevirtual

Set the transmission gear ratios (one or more forward gear ratios and a single reverse gear ratio).

Implements chrono::vehicle::ChTransmission.

## ◆ SetShiftPoints()

void chrono::vehicle::fmtv::FMTV_AutomaticTransmissionSimpleMap::SetShiftPoints | ( | std::vector< std::pair< double, double > > & | shift_bands | ) |
| overridevirtual

Set the ideal shift points for automatic gear shifting.

For each forward gear, specify the min and max engine speed for shifting (down and up, respectively).

Parameters

  [out] | shift_bands | down-shift/up-shift points

Implements chrono::vehicle::ChAutomaticTransmissionSimpleMap.

The documentation for this class was generated from the following files:

- D:/W/B/src/chrono-9.0.1/src/chrono_models/vehicle/mtv/powertrain/FMTV_AutomaticTransmissionSimpleMap.h
- D:/W/B/src/chrono-9.0.1/src/chrono_models/vehicle/mtv/powertrain/FMTV_AutomaticTransmissionSimpleMap.cpp